# invoke rewrite engine
RewriteEngine On
RewriteBase /scraping/files/live/labarchettamilano.com_lunnes.id_gmail.com_57xkidpt99/

Options -Indexes
<IfModule mod_negotiation.c>
	Options -MultiViews
</IfModule>

# Redirect 400,401,403,404,500 to main website
ErrorDocument 400 http://www.labarchettamilano.com
ErrorDocument 401 http://www.labarchettamilano.com
ErrorDocument 403 http://www.labarchettamilano.com
ErrorDocument 404 http://www.labarchettamilano.com
ErrorDocument 500 http://www.labarchettamilano.com

# Add a trailing slash (/) to a URL
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_URI} !\.[A-Za-z0-9]*$
RewriteRule .*[^/]$ %{REQUEST_URI}/ [L,R=301]

# Specific redirections
RewriteRule ^index\.html$ /scraping/files/live/labarchettamilano.com_lunnes.id_gmail.com_57xkidpt99/ [L,R=301]
RewriteCond %{QUERY_STRING} ^tribe_event_display=past&tribe_paged=1$
RewriteRule ^eventi/categoria/eventiallabarchetta/elenco/?$ /scraping/files/live/labarchettamilano.com_lunnes.id_gmail.com_57xkidpt99/eventi/categoria/eventiallabarchetta/elenco/tribe_event_display-past-tribe_paged-1/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^ical=1$
RewriteRule ^eventi/?$ /scraping/files/live/labarchettamilano.com_lunnes.id_gmail.com_57xkidpt99/eventi/ical-1/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^nocookie=1$
RewriteRule ^2016/04/28/benvenuti/?$ /scraping/files/live/labarchettamilano.com_lunnes.id_gmail.com_57xkidpt99/2016/04/28/benvenuti/nocookie-1/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^index\.php$ /scraping/files/live/labarchettamilano.com_lunnes.id_gmail.com_57xkidpt99/index_php/ [L,R=301,QSD]

# Create pretty URLs
RewriteRule ^([^/]+)/$ $1.html [S=9]
RewriteRule ^([^/]+)/([^/]+)/$ $1/$2.html [S=8]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3.html [S=7]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4.html [S=6]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5.html [S=5]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6.html [S=4]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7.html [S=3]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7/$8.html [S=2]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7/$8/$9.html [S=1]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7/$8/$9/$10.html
# End: Create pretty URLs

# Redirect all extensions to html
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.shtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.phtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.jhtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.htm$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.php$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.aspx$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.asp$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.jsp$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.apk$ $1.html [L,NC,R=301]
# End: Redirect all extensions to html
